.single-image-banner {
  margin: 0 auto;
}

.single-image-banner__item {
  position: relative;
  width: 100%;
}

.single-image-banner__image {
  position: relative;
  width: 100%;
  aspect-ratio: var(--desktop-aspect-ratio);
}

.single-image-banner__image--mobile,
.single-image-banner__image--desktop {
  position: relative;
  z-index: 1;
  width: 100%;
}

.single-image-banner__image--mobile img,
.single-image-banner__image--desktop img {
  object-position: var(--single-image-banner-image-position);
}

.single-image-banner__image--mobile img,
.single-image-banner__image--mobile svg,
.single-image-banner__image--desktop img,
.single-image-banner__image--desktop svg {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.single-image-banner__image--mobile {
  display: none;
}

.single-image-banner__image--desktop {
  display: block;
  height: var(--desktop-height);
}

.single-image-banner__image-mask {
  position: absolute;
  inset-block-start: 50%;
  inset-inline-start: 50%;
  z-index: 2;
  width: 100%;
  height: 100%;
  pointer-events: none;
  background-color: rgba(
    0,
    0,
    0,
    calc(var(--single-image-banner-image-mask-opacity) / 100)
  );
  transform: translate(-50%, -50%);
}

a.single-image-banner__link {
  position: absolute;
  inset-block-start: 0;
  inset-inline-start: 0;
  z-index: 3;
  display: block;
  width: 100%;
  height: 100%;
}

@media (max-width: 959px) {
  .single-image-banner__image {
    aspect-ratio: var(--mobile-aspect-ratio);
  }

  .single-image-banner__image--mobile {
    display: block;
    height: var(--mobile-height);
  }

  .single-image-banner__image--desktop {
    display: none;
  }
}
